package com.zehong.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 监督检查-获取检查项对象 t_ins_ins_list_infor
 * 
 * @author zehong
 * @date 2024-05-17
 */
public class TInsInsListInfor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long fInsInsListInforId;

    /** 检查项任务编码 */
    @Excel(name = "检查项任务编码")
    private String fCheckTaskCode;

    /** j检查项唯一编码 */
    @Excel(name = "j检查项唯一编码")
    private String fUniqueCode;

    /** 检查项名称 */
    @Excel(name = "检查项名称")
    private String fCheckTimeName;

    /** 检查对象分类 */
    @Excel(name = "检查对象分类")
    private String fCheckClassification;

    /** 检查方法 */
    @Excel(name = "检查方法")
    private String fCheckMethod;

    /** 检查内容 */
    @Excel(name = "检查内容")
    private String fCheckCount;

    /** 隐患级别 */
    @Excel(name = "隐患级别")
    private String fHazardLevel;

    /** 启用状态，0-启用，1-禁用 */
    @Excel(name = "启用状态",dictType = "t_enable_state")
    private Long fEnableState;

    /** 检查依据 */
    @Excel(name = "检查依据")
    private String fCheckBasis;

    /** 隐患分类分级标准id */
    private Long fHazardTypeLevelId;

    @Excel(name = "隐患分类分级标准")
    private String hazardName;

    /** 系统默认 createBy */
    @Excel(name = "创建人")
    private String fCreateBy;

    /** 系统默认 createTime */
    @Excel(name = "创建时间")
    private String fCreateTime;

    /** 系统默认 updateBy */
    @Excel(name = "更新人")
    private String fUpdateBy;

    /** 系统默认updateTime */
    @Excel(name = "更新时间")
    private String fUpdateTime;

    /** 删除标记，0-可用，1-已删除 */
    @Excel(name = "删除标记",dictType = "t_delete_flag")
    private Long fDeleteFlag;

    public void setfInsInsListInforId(Long fInsInsListInforId) 
    {
        this.fInsInsListInforId = fInsInsListInforId;
    }

    public Long getfInsInsListInforId() 
    {
        return fInsInsListInforId;
    }
    public void setfCheckTaskCode(String fCheckTaskCode) 
    {
        this.fCheckTaskCode = fCheckTaskCode;
    }

    public String getfCheckTaskCode() 
    {
        return fCheckTaskCode;
    }
    public void setfUniqueCode(String fUniqueCode) 
    {
        this.fUniqueCode = fUniqueCode;
    }

    public String getfUniqueCode() 
    {
        return fUniqueCode;
    }
    public void setfCheckTimeName(String fCheckTimeName) 
    {
        this.fCheckTimeName = fCheckTimeName;
    }

    public String getfCheckTimeName() 
    {
        return fCheckTimeName;
    }
    public void setfCheckClassification(String fCheckClassification) 
    {
        this.fCheckClassification = fCheckClassification;
    }

    public String getfCheckClassification() 
    {
        return fCheckClassification;
    }
    public void setfCheckMethod(String fCheckMethod) 
    {
        this.fCheckMethod = fCheckMethod;
    }

    public String getfCheckMethod() 
    {
        return fCheckMethod;
    }
    public void setfCheckCount(String fCheckCount) 
    {
        this.fCheckCount = fCheckCount;
    }

    public String getfCheckCount() 
    {
        return fCheckCount;
    }
    public void setfHazardLevel(String fHazardLevel) 
    {
        this.fHazardLevel = fHazardLevel;
    }

    public String getfHazardLevel() 
    {
        return fHazardLevel;
    }
    public void setfEnableState(Long fEnableState) 
    {
        this.fEnableState = fEnableState;
    }

    public Long getfEnableState() 
    {
        return fEnableState;
    }
    public void setfCheckBasis(String fCheckBasis) 
    {
        this.fCheckBasis = fCheckBasis;
    }

    public String getfCheckBasis() 
    {
        return fCheckBasis;
    }
    public void setfHazardTypeLevelId(Long fHazardTypeLevelId) 
    {
        this.fHazardTypeLevelId = fHazardTypeLevelId;
    }

    public Long getfHazardTypeLevelId() 
    {
        return fHazardTypeLevelId;
    }

    public String getHazardName() {
        return hazardName;
    }

    public void setHazardName(String hazardName) {
        this.hazardName = hazardName;
    }

    public void setfCreateBy(String fCreateBy)
    {
        this.fCreateBy = fCreateBy;
    }

    public String getfCreateBy() 
    {
        return fCreateBy;
    }
    public void setfCreateTime(String fCreateTime) 
    {
        this.fCreateTime = fCreateTime;
    }

    public String getfCreateTime() 
    {
        return fCreateTime;
    }
    public void setfUpdateBy(String fUpdateBy) 
    {
        this.fUpdateBy = fUpdateBy;
    }

    public String getfUpdateBy() 
    {
        return fUpdateBy;
    }
    public void setfUpdateTime(String fUpdateTime) 
    {
        this.fUpdateTime = fUpdateTime;
    }

    public String getfUpdateTime() 
    {
        return fUpdateTime;
    }
    public void setfDeleteFlag(Long fDeleteFlag) 
    {
        this.fDeleteFlag = fDeleteFlag;
    }

    public Long getfDeleteFlag() 
    {
        return fDeleteFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fInsInsListInforId", getfInsInsListInforId())
            .append("fCheckTaskCode", getfCheckTaskCode())
            .append("fUniqueCode", getfUniqueCode())
            .append("fCheckTimeName", getfCheckTimeName())
            .append("fCheckClassification", getfCheckClassification())
            .append("fCheckMethod", getfCheckMethod())
            .append("fCheckCount", getfCheckCount())
            .append("fHazardLevel", getfHazardLevel())
            .append("fEnableState", getfEnableState())
            .append("fCheckBasis", getfCheckBasis())
            .append("fHazardTypeLevelId", getfHazardTypeLevelId())
            .append("fCreateBy", getfCreateBy())
            .append("fCreateTime", getfCreateTime())
            .append("fUpdateBy", getfUpdateBy())
            .append("fUpdateTime", getfUpdateTime())
            .append("fDeleteFlag", getfDeleteFlag())
            .toString();
    }
}
